/*
 * Some simple debugging functions.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DEBUG_H__
#define __DEBUG_H__

/* Value output functions using UART1. */

void bits(uint32_t reg);
void vbits(uint32_t val);
void vhex(uint32_t val);

/* General input/output functions. */

int uart_can_read(int uart);
char uart_read_char(int uart);
int uart_can_write(int uart);
void uart_write_char(int uart, char c);

/* Functions using UART1. */

void uart_write(char c);
void uart_write_string(const char *s);

#endif /* __DEBUG_H__ */
